Smart II Software parameters: ODI parameters
============================================
                                               LSS 5.0(0), August 1996
                                               -----------------------
1 Introduction
--------------

This document describes the parameters that affect  the  operation  of
the ODI interface on a particular Ringnode in your workstation.

If  you  are using SMART.CFG to configure your Smart II Software, then
you must place all of the ODI parameters in the [ODI] section.

Figure 1 displays part of a SMART.CFG which demonstrates some  of  the
ODI parameters.

      +----------------------------------------------+
      |                                              |
      | [HOST]                                       |
      |                                              |
      |   :             ; host parameters here       |
      |                                              |
      |  [CARD]         ; first card section         |
      |                                              |
      |   [ODI]         ; install the ODI interface  |
      |                                              |
      |   frame = token-ring                         |
      |   protocol = ipx e0 token-ring               |
      |                                              |
      |  [CARD]         ; second card section        |
      |                                              |
      |   io=1a20       ; io location is 1a20        |
      |                                              |
      |   [LLC]         ; install the LLC interface  |
      |                                              |
      +----------------------------------------------+

        Figure 1. Example SMART.CFG.

Table 1 contains a list of all the ODI parameters. Some parameters can
only be used in NET.CFG and  some  can  only  be  used  in  SMART.CFG.
Section  2  describes all of the ODI parameters. It also describes how
ODI can be configured from a NET.CFG file.

      +----------------------------------------------+
      |                                              |
      | Parameter              (Abbrev)    File      |
      | ---------              --------    ----      |
      | FRAME                              both      |
      | PROTOCOL                           both      |
      | PORT                               net.cfg   |
      | SLOT                               net.cfg   |
      | NODE ADDRESS                       net.cfg   |
      | INT                                net.cfg   |
      | ODI.NSUP                           smart.cfg |
      | ODI.SOURCE.ROUTING     (odi.sr)    smart.cfg |
      | ODI.DEFAULT.BROADCAST  (odi.def)   smart.cfg |
      | ODI.EXPIRED.TX.COUNT   (odi.xtx)   smart.cfg |
      | ODI.GENERAL.BROADCAST  (odi.gbr)   smart.cfg |
      | ODI.MULTICAST.BROADCAST(odi.mbr)   smart.cfg |
      | ODI.SOURCE.ROUTE.NODES (odi.nodes) smart.cfg |
      | ODI.CACHE.TIMEOUT      (odi.time   smart.cfg |
      | ODI.THIS.RING.ALT      (odi.tra)   smart.cfg |
      | ODI.THIS.RING.ONLY     (odi.tro)   smart.cfg |
      |                                              |
      +----------------------------------------------+

        Table 1. ODI parameters.

If you are configuring your Smart II Software from  the  command  line
then  any  ODI  parameter  which  can  be used in the [ODI] section of
SMART.CFG can be used on the command line.

The  ODI parameters can appear anywhere on the command line.  However,
we recommend that you put all of them together.

A  sample  command line, which enables an ODI interface and configures
it to receive standard token-ring frames as well as SNAP frames, is as
follows:

        SMART ODI FRAME=TOKEN-RING FRAME=TOKEN-RING_SNAP

2 ODI parameters
----------------

This section describes the ODI parameters.

Section  2.1  describes  the  ODI  parameters you can use in a NET.CFG
file.  Section 2.2 describes the ODI  parameters  you  can  use  in  a
SMART.CFG file.

Configure the characteristics of your ODI interface from  SMART.CFG or
NET.CFG but not both.

Figures 2, 3 and 4  show equivalent  configurations  using  SMART.CFG,
NET.CFG and the command line.

      +----------------------------------------------+
      |                                              |
      | [HOST]                                       |
      |                                              |
      |   :             ; host parameters here       |
      |                                              |
      |  [CARD]         ; first card section         |
      |                                              |
      |   [ODI]         ; install an ODI interface   |
      |                                              |
      |   FRAME = token-ring                         |
      |   PROTOCOL = ipx e0 token-ring               |
      |                                              |
      |  [CARD]         ; second card section        |
      |                                              |
      |   [ODI]         ; another ODI interface      |
      |                                              |
      |   FRAME = token-ring_snap                    |
      |                             +-----------------------------+
      |                             |                             |
      +-- smart.cfg ----------------|  SMART                      |
                                    |                             |
                                    +-- command line -------------+

        Figure 2.  Sample SMART.CFG file and command line.

      +----------------------------------------------+
      |                                              |
      | LINK DRIVER SMART                            |
      |                                              |
      |  FRAME TOKEN-RING                            |
      |  PROTOCOL IPX E0 TOKEN-RING                  |
      |                                              |
      | LINK DRIVER SMART                            |
      |                                              |
      |  FRAME TOKEN-RING_SNAP                       |
      |                             +-----------------------------+
      |                             |                             |
      +-- net.cfg ------------------|  SMART ODI                  |
                                    |                             |
                                    +-- command line -------------+

        Figure 3.  Sample NET.CFG file and command line.

      +----------------------------------------------+
      |                                              |
      | [HOST]                                       |
      |                                              |
      |   :             ; host parameters here       |
      |                                              |
      |  [CARD]         ; card section               |
      |                                              |
      |   [ODI]         ; install an ODI interface   |
      |                                              |
      |                +---------------------------------+
      |                |                                 |
      |                | LINK DRIVER SMART               |
      +-- smart.cfg ---|                                 |
                       |  FRAME TOKEN-RING               |
                       |  PROTOCOL IPX E0 TOKEN-RING     |
                       |                                 |
                       |              +---------------------------+
                       |              |                           |
                       +-- net.cfg ---|  SMART                    |
                                      |                           |
                                      +-- command line -----------+

Figure 4.  Sample SMART.CFG used in conjunction with NET.CFG

The [ODI] section of the SMART.CFG file in Figure 4 is  empty  because
the ODI interface is configured from the NET.CFG file.

The  example  in  Figure 4 contains only one [CARD] and [ODI] section.
Whether you include one [CARD] and [ODI] section or two, if  you  want
to enable ODI on two Ringnodes, you must include two LINK DRIVER SMART
sections in your NET.CFG file.

2.1 Configuring ODI from the NET.CFG file
-----------------------------------------

This  subsection  describes  the  parameters  you can use in the "LINK
DRIVER SMART" section of your NET.CFG file.

PORT                Specifies the location in PC memory at  which  ODI
                    looks  for  a  Ringnode.   The function of PORT is
                    like that of  the  IO.LOCATION  parameter  in  the
                    [CARD]  section  of  your  SMART.CFG file (see the
                    SMTCARD.TXT file).   Don't put an '='  sign  after
                    "PORT" in NET.CFG.

                    Range       : any valid IO location
                    Default     : (none)
                    Abbreviation: (none)

                    Example     : PORT 3A20

SLOT                Specifies  the   slot  number  in  your  PC  which
                    contains the Ringnode that you want to use.

                    The  function  of  SLOT  is  like that of the SLOT
                    parameter which you can use in the [CARD]  section
                    of your SMART.CFG file (see the SMTCARD.TXT file).
                    Don't put an '=' sign after "SLOT" in NET.CFG.

                    Range       : any valid slot number
                    Default     : (none)
                    Abbreviation: (none)
                    Example     : SLOT 3


NODE ADDRESS        The  node  address parameter allows you to specify
                    the 6-byte node address to be used by the adapter.
                    If you omit this parameter, the Ringnode uses  its
                    unique  burnt-in  node  address.  We recommend the
                    burnt-in address whenever possible.

                    You can  specify  this  parameter  in  the  [CARD]
                    section  of  your  SMART.CFG file instead (see the
                    SMTCARD.TXT file).

                    You  can  use  any valid hexadecimal number in the
                    range 400000000000 to 7FFFFFFFFFFF.

                    Ensure  that  every  adapter in your network has a
                    different node address.

                    Range       : 400000000000 - 7FFFFFFFFFFF
                    Default     : burnt-in address of Ringnode
                    Abbreviation: (none)

                    Example     : NODE ADDRESS 400012345678

FRAME               Specifies  the  type  or  types of frame that your
                    Ringnode supports.  You can configure the Ringnode
                    to support standard token-ring frames,  or  frames
                    that  include  an  additional SNAP header, or both
                    types of frame.

                    If you intend to run TCP/IP on top of ODI then you
                    must use SNAP frames.

                    Range       : TOKEN-RING or TOKEN-RING_SNAP
                    Default     : TOKEN-RING
                    Abbreviation: (none)

                    Example     : FRAME TOKEN-RING

PROTOCOL            Specifies  the  protocol  or  protocols  that  you
                    intend  to run on top of ODI.

                    If you are going to run TCP/IP on top of ODI then
                    you do not need to use the PROTOCOL parameter.

                    Default     : PROTOCOL IPX E0 TOKEN-RING

INT                 Specifies  the  interrupt that your Ringnode uses.
                    You can use this  parameter  instead  of  the  IRQ
                    parameter  in  the [CARD] section of the SMART.CFG
                    file  (see  the  SMTCARD.TXT  file), to alter  the
                    interrupt  that your Ringnode uses.  For the Smart
                    16 Ringnode, the range and default are:

                    Range       : 2, 3, or 7
                    Default     : 3

                    Example     : INT 3


2.2 Configuring ODI from the SMART.CFG file
-------------------------------------------

This  subsection  describes  the  parameters  you can use in the [ODI]
section of your SMART.CFG file or on the command line.

FRAME               Specifies  the  type  or  types of frame thay your
                    Ringnode supports. You can configure the  Ringnode
                    to  support  standard token ring frames, or frames
                    that include an additional SNAP  header,  or  both
                    types of frame.

                    In SMART.CFG, FRAME is followed by an '=' sign.

                    Range       : TOKEN-RING or TOKEN-RING_SNAP
                    Default     : TOKEN-RING
                    Abbreviation: (none)
                    Example     : FRAME = TOKEN-RING

PROTOCOL            Specifies  the  protocol  or  protocols  that  you
                    intend to run on top of ODI. If you are  going  to
                    run  TCP/IP on top of ODI, then you do not need to
                    use the PROTOCOL parameter.

                    In SMART.CFG, PROTOCOL is followed by an '=' sign.

                    Example     : PROTOCOL = IPX E0 TOKEN-RING

ODI.NSUP            Tells the Smart II Software that you intend to run
                    ODINSUP,  or another program that provides an NDIS
                    interface, on top of ODI.

                    Range       : YES, Y, NO or NO
                    Default     : NO
                    Abbreviation: (none)
                    Example     : ODI.NSUP=YES

ODI.SOURCE.ROUTING  Enables source routing.  If you  need  to  operate
                    across  IBM-compatible source-routing bridges, set
                    this parameter to YES. If you have no  bridges  on
                    your   network,  or  you  have  only  NetWare  IPX
                    routers, set this parameter to NO  (the  default).
                    Only use this parameter if you have enabled source
                    routing for all the servers you are using.

                    Range       : YES, Y, NO or N
                    Default     : NO
                    Abbreviation: ODI.SR

                    Example     : ODI.SR=Y

                    This   parameter   replaces   Novell's   ROUTE.COM
                    program.   If  you  enable  source  routing, seven
                    additional parameters are available:

                        ODI.DEFAULT.BROADCAST
                        ODI.GENERAL.BROADCAST
                        ODI.MULTICAST.BROADCAST
                        ODI.SOURCE.ROUTE.NODES
                        ODI.CACHE.TIMEOUT
                        ODI.THIS.RING.ONLY
                        ODI.THIS.RING.ALT

ODI.DEFAULT.BROADCAST   Ensures that all broadcasts used  to determine
                        the route to unknown addresses (addresses that
                    are not in the workstation's source-routing table)
                    are sent as all-route broadcasts. If  you  do  not
                    specify  ODI.DEFAULT.BROADCAST,   broadcasts    to
                    unknown  addresses  are   sent   as   single-route
                    broadcasts. This  parameter is similar to the  DEF
                    parameter of ROUTE.COM.  It  only  applies  if you
                    enable source routing.

                    Abbreviation: ODI.DEF

ODI.EXPIRED.TX.COUNT    This is the number of  times a source  routing
                        cache that has timed  out continues to be used
                    before a broadcast frame  is sent.  This parameter
                    is similar to  the XTX parameter of ROUTE.COM.  It
                    only applies if you enable source routing.

                    Range       : 0 - 255
                    Default     : 2
                    Abbreviation: ODI.XTX

                    Example     : ODI.XTX=10

ODI.GENERAL.BROADCAST   Ensures that  all general  broadcasts are sent
                        as all-route broadcasts.  If you  do  not  use
                    ODI.GENERAL.BROADCAST, general broadcasts are sent
                    as single-route  broadcasts. This   parameter   is
                    similar  to  the  GBR  parameter of ROUTE.COM.  It
                    only applies if you enable source routing.

                    Abbreviation: ODI.GBR

ODI.MULTICAST.BROADCAST Allows  multicast broadcasts  to  be  sent  as
                        all-route  broadcasts. By  default,  multicast
                    broadcasts  are  sent  as single-route broadcasts.
                    This parameter is similar to the MBR parameter  of
                    ROUTE.COM.   It  only applies if you enable source
                    routing.

                    Abbreviation: ODI.MBR

ODI.SOURCE.ROUTE.NODES  Defines the  size  of the source-routing table
                        maintained by ODI. This parameter  is  similar
                    to the NODES  parameter  of  ROUTE.COM.

                    Range       : 8 - 255
                    Default     : 8
                    Abbreviation: ODI.NODES

                    Example     : ODI.NODES=20

ODI.CACHE.TIMEOUT   This is the time that a source routing cache entry
                    remains valid. The source routing information used
                    to  route to a known node does not change for this
                    length of time (in seconds). The default value  of
                    10 gives a timeout of 10 seconds.

                    If you set ODI.CACHE.TIMEOUT to zero,  the  source
                    routing cache entry lasts about 8 hours.

                    Range       : 0 - 255
                    Default     : 10
                    Abbreviation: ODI.TIME

                    Example     : ODI.TIME=20

ODI.THIS.RING.ALT   This  is the number of times a frame to an unknown
                    address is sent  (alternately)  with  and  without
                    broadcast  before broadcast alone is used to reach
                    remote rings.

                    Range       : 0 - 255
                    Default     : 0
                    Abbreviation: ODI.TRA

                    Example     : ODI.TRA=10

ODI.THIS.RING.ONLY  This is the number of times a frame to an  unknown
                    address  is  sent  onto  the  local  ring before a
                    broadcast is used to reach remote rings.

                    Range       : 0 - 255
                    Default     : 0
                    Abbreviation: ODI.TRO

                    Example     : ODI.TRO=10

                    ***** end of SMTODI.TXT *****
